Loading...
Searching...
No Matches
uhd::rfnoc::rx_event_action_info Struct Reference

`#include <uhd/rfnoc/actions.hpp>`

Inheritance diagram for uhd::rfnoc::rx_event_action_info:
[legend]
Collaboration diagram for uhd::rfnoc::rx_event_action_info:
[legend]

## Public Types

using | sptr = std::shared_ptr<rx_event_action_info>
Public Types inherited from uhd::rfnoc::action_info
using | sptr = std::shared_ptr<action_info>

## Static Public Member Functions

static sptr | make (uhd::rx_metadata_t::error_code_t error_code)
| Factory function.
Static Public Member Functions inherited from uhd::rfnoc::action_info
static sptr | make (const std::string &key="", const uhd::device_addr_t &args=uhd::device_addr_t(""))
| Factory function.

## Public Attributes

uhd::rx_metadata_t::error_code_t | error_code
| The error code that describes the event.
Public Attributes inherited from uhd::rfnoc::action_info
const size_t | id
| A unique counter for this action.
std::string | key
| A string identifier for this action.
std::vector< uint8_t > | payload
| An arbitrary payload. It is up to consumers and producers to.
uhd::device_addr_t | args
| A dictionary of key-value pairs. May be used as desired.

## Protected Member Functions

| rx_event_action_info (uhd::rx_metadata_t::error_code_t error_code)
Protected Member Functions inherited from uhd::rfnoc::action_info
| action_info (const std::string &key, const uhd::device_addr_t &args=uhd::device_addr_t(""))

## Additional Inherited Members

Public Member Functions inherited from uhd::rfnoc::action_info
virtual | ~action_info ()

## Member Typedef Documentation

## sptr

using uhd::rfnoc::rx_event_action_info::sptr = std::shared_ptr<rx_event_action_info>

## Constructor & Destructor Documentation

## rx_event_action_info()

uhd::rfnoc::rx_event_action_info::rx_event_action_info | ( | uhd::rx_metadata_t::error_code_t | error_code | ) |

protected

## Member Function Documentation

## make()

sptr uhd::rfnoc::rx_event_action_info::make | ( | uhd::rx_metadata_t::error_code_t | error_code | ) |

static

Factory function.

## Member Data Documentation

## error_code

uhd::rx_metadata_t::error_code_t uhd::rfnoc::rx_event_action_info::error_code

The error code that describes the event.

The documentation for this struct was generated from the following file:

- actions.hpp